# Class AbstractNumbering

#### Hierarchy (view full)

- XmlComponent
  - AbstractNumbering

- Defined in file/numbering/abstract-numbering.ts:32

#####
Index

### Constructors

constructor

### Properties

id

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new AbstractNumbering(id, levelOptions): AbstractNumbering

- #### Parameters

  - id: number
  - levelOptions: readonly ILevelsOptions[]

  #### Returns AbstractNumbering

  Overrides XmlComponent.constructor

  - Defined in file/numbering/abstract-numbering.ts:35

##
Properties

### `Readonly` id

id: number

- Defined in file/numbering/abstract-numbering.ts:33

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20